Package org.springframework.web.util

# Interface UriBuilderFactory

All Superinterfaces:
  `UriTemplateHandler`

All Known Implementing Classes:
  `DefaultUriBuilderFactory`

public interface UriBuilderFactory extends UriTemplateHandler
Factory to create `UriBuilder` instances with shared configuration such as a base URI, an encoding mode strategy, and others across all URI builder instances created through a factory.

Since:
  5.0
Author:
  Rossen Stoyanchev
See Also:
  - `DefaultUriBuilderFactory`

## Method Summary

Modifier and Type
Method
Description
`UriBuilder`
`builder()`
Create a URI builder with default settings.
`UriBuilder`
`uriString(String uriTemplate)`
Initialize a builder with the given URI template.

### Methods inherited from interface org.springframework.web.util.UriTemplateHandler

`expand, expand`

## Method Details

### uriString

UriBuilder uriString(String uriTemplate)
Initialize a builder with the given URI template.

Parameters:
  `uriTemplate` - the URI template to use
Returns:
  the builder instance

### builder

UriBuilder builder()
Create a URI builder with default settings.

Returns:
  the builder instance